Summary: Hanzi Converter between BIG-5 and GB codes
Name: hc
Version: 3.0
Release: 1
Copyright: GPL
Group: Utilities/Text
Source: ftp.nctu.edu.twi:/Chinese/ifcss/software/unix/convert/hc-30.tar.gz
Patch: hc-3.0-make.patch
%description
This is version 3.0 of Hanzi Converter, which converts between GB and
BIG-5 codes.  The conversion table has been revised with corrections.
This version supports more options, including the showing of all
multiple mappings, please see the man page for more detail.

%prep
%setup -n hc3
#%setup -n ${NAME}${VERSION}
%patch -p1

%build
make RPM_OPT_FLAGS="$RPM_OPT_FLAGS"
make RPM_OPT_FLAGS="$RPM_OPT_FLAGS" b2g g2b

%install
install -s -m 755 -o 0 -g 0 hc /usr/local/bin/hc
install -m 755 -o 0 -g 0 b2g /usr/local/bin/b2g
install -m 755 -o 0 -g 0 g2b /usr/local/bin/g2b
install -m 644 -o 0 -g 0 hc.1 /usr/local/man/man1
install -d -m 755 -o 0 -g 0 /usr/local/lib/chinese
install -m 644 -o 0 -g 0 hc.tab /usr/local/lib/chinese/hc.tab
install -m 644 -o 0 -g 0 hc-supp.tab /usr/local/lib/chinese/hc-supp.tab

%files
%doc README
%config /usr/local/lib/chinese/hc.tab
%config /usr/local/lib/chinese/hc-supp.tab

/usr/local/bin/hc
/usr/local/bin/b2g
/usr/local/bin/g2b
/usr/local/man/man1/hc.1
